<?php
require('../../conexion.php');
function get_nota($id_nota){
    $nota = query("CALL sp_cons_nota(2,'$id_nota')");
    $datos=array();
    while($resultado=mysqli_fetch_assoc($nota))
    {
        //$datos[0]["ID"]=$resultado["ID"];
        //$datos[2]["HORA_INI"] = $resultado["HORA_INI"];
        //$datos[4]["EDICION"] = $resultado["EDICION"];
        //

        $datos[0]["CLAVE"] = $resultado["CLAVE"];
        $datos[1]["NOMBRE"] = $resultado["NOMBRE"];
        $datos[2]["ZONA"] = $resultado["ZONA"];
        $datos[3]["MESA"] = $resultado["MESA"];
        $datos[4]["PERSONAS"] = $resultado["PERSONAS"];
        $datos[5]["SUBTOTAL"] = $resultado["SUBTOTAL"];
        $datos[6]["DESCUENTO"] = $resultado["DESCUENTO"];
        $datos[7]["TOTAL"] = $resultado["TOTAL"];
        //////////////////// AÑADIR A SERVIDOR ///////////////////////////
        $datos[8]["FECHA_HORA_EDT"] = $resultado["FECHA_HORA_EDT"];
    }
    return $datos;  
}

function get_productos_nota($id_nota){
    $reg=0;
    $datos=array();
    $query = query("CALL sp_cons_productos_nota(1,'$id_nota')");
    while($resultado=mysqli_fetch_assoc($query))
    {
        ///AÑADIR A SERVIDOR 
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
        $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        //////////////////// AÑADIR A SERVIDOR ///////////////////////////
        $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
        $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
        $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
        $reg++;
    }
    
    return $datos;
}

function clasificaciones($id_nota){
    $query=query("SELECT DISTINCT A.pro_clasificaciones FROM productos A, productos_nota B WHERE A.id=B.id_producto AND B.id_nota_venta='$id_nota'");
    $datos=array();
    while ($fila = mysqli_fetch_array($query)) {
        $datos[] = $fila["pro_clasificaciones"];
    }
    return $datos;
}
function get_productos_nota2($id_nota){
    $reg=0;
    $datos=array();
    $query = query("CALL sp_cons_productos_nota(2,'$id_nota')");
    while($resultado=mysqli_fetch_assoc($query))
    {
        ///AÑADIR A SERVIDOR 
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
        $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        //////////////////// AÑADIR A SERVIDOR ///////////////////////////
        $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
        $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
        $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
       
        $reg++;
    }
    
    return $datos;
}
function filtrar_por_clasificaciones($productos, $clasificacion) {
    $productos_filtrados = array();
    foreach ($productos as $producto) {
        if ($producto["CLASIFICACION"] == $clasificacion) {
            $productos_filtrados[] = $producto;
        }
    }
    return $productos_filtrados;
}
function get_productos_nota1($id_nota){
    $reg=0;
    $datos=array();
    $query = query("CALL sp_cons_productos_nota(1,'$id_nota')");
    while($resultado=mysqli_fetch_assoc($query))
    {
        ///AÑADIR A SERVIDOR 
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
        $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        //////////////////// AÑADIR A SERVIDOR ///////////////////////////
        $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
        $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
        $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
        $reg++;
    }
    
    return $datos;
}
function clasificaciones2($id_nota){
    $query=query("SELECT DISTINCT A.pro_clasificaciones FROM productos A, productos_nota B WHERE A.id=B.id_producto AND B.impreso='' AND B.id_nota_venta='$id_nota'");
    $datos=array();
    while ($fila = mysqli_fetch_array($query)) {
        $datos[] = $fila["pro_clasificaciones"];
    }
    return $datos;
}

function clasificaciones4($id_nota){
    $query=query("SELECT DISTINCT A.pro_clasificaciones FROM productos A, productos_nota B WHERE A.id=B.id_producto AND B.impreso='' AND B.id_nota_venta='$id_nota' AND A.pro_clasificaciones != 'BAR'");
    $datos=array();
    if ($query->num_rows>0) {
        while ($fila = mysqli_fetch_array($query)) {
            $datos[] = $fila["pro_clasificaciones"];
        }
    }else{
        $datos[0] =0;
    }
    
    
    
    return $datos;
}

function get_ultimos_productos_nota2($id_nota){
    $reg=0;
    $datos=array();
    $query = query("call sp_cons_ultimos_productos('$id_nota',3)");
    
        while($resultado=mysqli_fetch_assoc($query))
        {
            $datos[$reg]["ID"]=$resultado["ID"];
            $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
            $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
            $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
            $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
            $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
            $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
            $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
            
            $reg++;
        }
    
    
    
    return $datos;
}
function get_ultimos_productos_nota3($id_nota){
    $reg=0;
    $datos=array();
    $query = query("SELECT A.id 'ID', B.pro_nombre 'PRO_NOMBRE', A.pdn_cantidad 'CANTIDAD', 
            A.pdn_precio 'PRECIO', B.pro_clasificaciones 'CLASIFICACION', A.pdn_comentario 'COMENTARIO', 
            A.pdn_tiempo 'TIEMPO', A.pdn_comensal 'COMENSAL', A.impreso 
            FROM productos_nota A, productos B WHERE A.id_producto = B.id AND A.impreso!='C' 
            AND A.id_nota_venta = '$id_nota' AND B.pro_clasificaciones <> 'BAR' 
            AND A.pdn_estatus NOT IN ('cancelado', 'eliminado') 
            ORDER BY A.pdn_tiempo, B.pro_clasificaciones;");
    
    while($resultado=mysqli_fetch_assoc($query))
    {
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
        $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
        $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
        $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
        
        $reg++;
    }
    
    
    
    return $datos;
}
function get_ultimos_productos_nota($id_nota){
    $reg=0;
    $datos=array();
    $query = query("call sp_cons_ultimos_productos('$id_nota',1)");

    while($resultado=mysqli_fetch_assoc($query))
    {
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
        $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
        $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
        $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
        $reg++;
    }
    
    return $datos;
}

function clasificaciones3($id_nota){
    $query=query("SELECT DISTINCT A.pro_clasificaciones FROM productos A, productos_nota B WHERE A.id=B.id_producto AND B.id_nota_venta='$id_nota' AND A.pro_clasificaciones != 'BAR'");
    $datos=array();
    if ($query->num_rows>0) {
        while ($fila = mysqli_fetch_array($query)) {
            $datos[] = $fila["pro_clasificaciones"];
        }
    }else{
         $datos[0] =0;
    }

    return $datos;
}

function get_productos_bar($id){
    $reg=0;
    $datos=array();
    $query = query("SELECT A.id 'ID', B.pro_nombre 'PRO_NOMBRE', A.pdn_cantidad 'CANTIDAD', 
                A.pdn_precio 'PRECIO', B.pro_clasificaciones 'CLASIFICACION', A.pdn_tiempo 'TIEMPO', 
                A.pdn_comentario 'COMENTARIO', A.pdn_comensal 'COMENSAL' 
                FROM productos_nota A, productos B 
                WHERE id_nota_venta = '$id'
                AND A.id_producto = B.id AND B.pro_clasificaciones = 'BAR' 
                AND A.pdn_estatus NOT IN ('cancelado', 'eliminado') 
                ORDER BY A.pdn_tiempo;");

    while($resultado=mysqli_fetch_assoc($query))
    {
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
        $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
        $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
        $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
        $reg++;
    }
    if ($reg == 0) {
        $datos[$reg]["ID"] = 0;
    }
    return $datos;
}

function get_ultimos_productos_bar($id){
    $reg=0;
    $datos=array();
    $query = query("SELECT A.id 'ID', B.pro_nombre 'PRO_NOMBRE', A.pdn_cantidad 'CANTIDAD', 
                A.pdn_precio 'PRECIO', B.pro_clasificaciones 'CLASIFICACION', A.pdn_tiempo 'TIEMPO', 
                A.pdn_comentario 'COMENTARIO', A.pdn_comensal 'COMENSAL' 
                FROM productos_nota A, productos B 
                WHERE id_nota_venta = '$id'
                AND A.id_producto = B.id AND B.pro_clasificaciones = 'BAR' 
                AND A.pdn_estatus NOT IN ('cancelado', 'eliminado') AND A.impreso!='C'
                ORDER BY A.pdn_tiempo;");

    while($resultado=mysqli_fetch_assoc($query))
    {
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
        $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
        $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
        $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
        $reg++;
    }

    if ($reg == 0) {
        $datos[$reg]["ID"] = 0;
    }
    
    return $datos;
}
?>